
VisIt - Bug # 1243: recommend adding -no-gtkstyle to Qt-4.X builds

Status: Pending Priority: Normal

Author: Mark Miller Category:

Created: 11/15/2012 Assigned to:

Updated: 12/18/2012 Due date:

Likelihood: 3 - Occasional

Severity: 2 - Minor Irritation

Found in Version: 2.5.2

OS: All

Support Group: Any

Subject: recommend adding -no-gtkstyle to Qt-4.X builds

Description: I ran into a problem where Qt 4.8.3 build was bad. Even Qt's own @designer@ app was failing. It would 

segv very early on in startup.





Granted my laptop is a bit old; gcc-4.1. But, after doing some research, I learned that choosing a different 

font style or scroll bar overlay style might fix the problem. But, I didn't know how to do either of those things. I 

did know how to turn off gtkstyle in Qt's configure though. And, when I did that, Qt started working for me.


History

11/15/2012 08:30 pm - Mark Miller

This may cause problems with the pyside sources that apparently reference GtkStyle. Am investigating solutions.

11/15/2012 11:49 pm - Mark Miller

Ok, after running into several problems, I realized that after changing the way Qt was built, I needed to re-build pyside too and then re-build parts of 

visit dependent on Qt and pyside. After doing all that, I have a version of VisIt where the CLI also runs properly. So, my recommendation (headline of 

ticket) still stands.

11/16/2012 12:27 pm - Mark Miller

In researching this issue for my laptop, I wanted to mention that I ran across numerous cases of very similar stack dumps from users of Ubuntu. I 

mention that to suggest it may be a more general problem.

11/28/2012 12:12 pm - Eric Brugger

- Status changed from New to Pending

This may cause the gui to not look so good, so we should investigate this and if is only a problem on old systems, then we probably shouldn't do it 

across the board.

12/18/2012 05:58 pm - Cyrus Harrison

Perhaps related: 





For static build of Qt + VisIt. 





xmledit fails to link due to missing gtk libs when gtkstyle is enabled. 





Maybe xmledit is simply missing the proper qt deps - the gui does not fail to link to qt?
